Fique Ligado nas Notícias!

Instalando InkScape 0.48 no Linux Parte 1: Dependências

Quem não gosta de manter seus programas atualizado? hehe partindo desse princípio eu decidi atualizar meu inkscape 0.47 pelo novíssimo 0.48. Como era de se esperar a nova versão não consta nos repositórios então tive que compila-la via terminal.


Primeiramente ele exige algumas dependências:

sudo apt-get install initltool libpoppler-dev libwpg-dev libboost-dev \
libpopt-dev libmagick++-dev libgnomevfs2-dev libgtkmm-2.4-dev \
libxslt1-dev libsigc++-2.0-dev libgsl0-dev



Boehm gc: este precisa ser baixado aqui e compilado.

Após baixar o Boehm gc, descompacte-o na sua pasta /home/seuusuario
e siga o seguinte procedimento para compila-lo:
Primeiramente descompacte-o na sua pasta de usuario pode ser feito via terminal através do comando: tar -zxf gc-7.0.tar.gz 
ou entrando no seu gerenciador de arquivos (no meu caso Nautilus) e clicar com botão direito do mouse em cima e ir no menu Extrair aqui...

Em seguida entre na pasta do gc-7.0 e digite ./configure para executar a configuração inicial do pacote o qual irá gerar o binário para compilação.
Agora a parte final:
Após ter terminado de execurar o comando ./configure execute o comando make.
Assim que a linha aparecer para que possa digitar novamente, execute o comando: sudo make install para que o pacote seja instalado no seu sistema.
Finalizada a primeira parte referênte as dependências do inkscape. 
Para o próximo post irei mostrar como compilar o InkScape.
Postar um comentário